ARK(1)

NAME
ark - Ferramenta de arquivamento do KDE

SYNOPSIS

ark [-b] [-a] [-e] [-c] [-f sufixo] [-p] [-t arquivo] [-d] [-o diretório] [Opções genéricas do KDE] [Opções genéricas do Qt™]

DESCRIçãO

O Ark é um programa para gerenciar vários formatos de arquivos compactados no ambiente KDE. Os arquivos compactados podem ser visualizados, extraídos, criados e modificados com o Ark. O programa pode manejar vários formatos como tar, gzip, bzip2, zip, rar(quando as bibliotecas ou programas em linha de comando apropriados estão instalados).

MODOS DE OPERAçãO

O Ark tanto pode ser usado como uma GUI independente ou como um programa da linha de comando para realizar algumas tarefas específicas.

Se for invocado sem as opções -b (--batch) ou -c (--add), o Ark é iniciado como um programa GUI normal.

Quando for usada a opção -b (--batch), o Ark pode ser usado para extrair diretamente o conteúdo de um ou mais arquivos a partir da linha de comando, sem invocar a sua GUI.

Quando é usada a opção -c (--add), o Ark pede os arquivos que deverão ser adicionados a um novo pacote ou a um pacote existente.

OPçõES

-d, --dialog
    Mostrar uma janela para indicar as opções numa operação em lote ou de adição.

-o, --destination diretório
    Por padrão, usar a pasta de extração pasta. Se não for indicada, é usada a pasta atual.

  Opções para adição de arquivos

-c, --add
    Pedir ao usuário um nome de pacote e adicionar arquivos a ele. Sair quando terminar.

-t, --add-to nome_do_arquivo
    Adicionar os arquivos indicados ao arquivo. Criar o pacote se não existir. Sair quando terminar.

-p, --changetofirstpath
    Muda a pasta atual para o primeiro item e adiciona todos os outros itens em relação a esta.

-f, --autofilename sufixo
    Seleciona automaticamente um nome de arquivo, usando o sufixo selecionado (por exemplo rar, tar.gz, zip ou outro tipo suportado qualquer).

  Opções para a extração em lote

b, --batch
    Usar a interface em lote, em vez da janela normal. Esta opção está implícita se indicar mais de um URL.

-e, --autodestination
    O argumento de destino será configurado com o local do primeiro arquivo indicado.

-a, --autosubfolder
    O conteúdo do pacote será lido e, se detectar que não é um pacote com apenas uma pasta, será criada uma sub-pasta com o nome do pacote.

EXEMPLOS

ark --batch arquivo.tar.bz2
    Irá extrair arquivo.tar.bz2 no diretório atual sem exibir nenhuma GUI.

ark -b -d arquivo.tar.bz2 arquivo2.zip
    Irá mostrar em primeiro lugar uma janela de opções de extração e irá então extrair tanto o pacote.tar.bz2 como o pacote2.zip para a pasta escolhida na janela.

ark --add-to o-meu-pacote.zip fotografia1.jpg texto.txt
    Criará o arquivo o-meu-pacote.zip, se não existir, e irá adicionar depois o fotografia1.jpg e texto.txt a ele.

AUTORES

O Ark é mantido atualmente por Harald Hvaal <haraldhv@stud.ntnu.no> e Raphael Kubo da Costa <kubito@gmail.com>.

Esta página do manual foi escrita primeiro por Lauri Watts <lauri@kde.org> em 2005 para o KDE 3.4, sendo posteriormente atualizada em 2009 por Raphael Kubo da Costa <kubito@gmail.com>.

AUTHORS
Lauri Watts, Raphael Kubo da Costa.